# Reporter

Package tourplaner.business

## Class Reporter

- java.lang.Object
- - tourplaner.business.Reporter

    public class Reporter
    extends java.lang.Object

PDF Report generierung mit iText Erstellt Reports über einzelne Touren und fasst alle Touren zusammen iText 4 ist gratis verfügbar, siehe: https://github.com/ymasory/iText-4.2.0

### Constructor Summary

Constructors
`Reporter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `createTourReport​(java.lang.String tourname)` Erstellt einen Tour Report
`static void` `sumReport()` Erstellt den Summary Report

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reporter

    public Reporter()

### Method Detail

#### sumReport

    public static void sumReport()

Erstellt den Summary Report

#### createTourReport

    public static void createTourReport​(java.lang.String tourname)

Erstellt einen Tour Report

Parameters:
  `tourname` - Name der Tour die Gereportet werden soll